<template lang="html">
  <div class="dashboard-header">
    <div class="content">
      <div class="">
        <div class="dashboard-title">
          {{ label.MY_GAMES }}
        </div>
        <div class="dashboard-subtitle">
          <nuxt-link :to="{ name: 'learn-upload-game' }" class="linkBtn">{{ label.LEARN_MORE }}</nuxt-link>
        </div>
      </div>
      <hr>
      <div class="newGameBtn-container">
        <button class="linkBtn"
          v-on:click="verifyUserAccess()">{{ label.NEW_GAME }}</button>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions, mapGetters } from 'vuex'

export default {
  name: 'ep-dashboard-header',
  data () {
    return {
      label: {
        MY_GAMES: 'My Games',
        LEARN_MORE: 'Learn more about uploading games to Enoplay',
        NEW_GAME: '+ New Game'
      }
    }
  },
  computed: {
    ...mapState('app', [
      'dialogTypes'
    ]),
    ...mapGetters([
      'profile'
    ])
  },
  methods: {
    ...mapActions('app', [
      'selectDialog'
    ]),
    verifyUserAccess () {
      if (!this.profile.isLoggedIn) {
        this.showDialog('signin')
        return
      }

      if (!this.profile.isActive) {
        this.showDialog('verifyEmail')
        return
      }

      this.navigateToUpload()
    },
    navigateToUpload () {
      this.$router.push({
        name: 'upload'
      })
    },
    showDialog (option) {
      this.selectDialog({
        dialog: this.dialogTypes[option]
      })
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/input';

.dashboard-header {
  display: block;
  color: #767676;
}

.content {
  position: relative;
  margin: 0;
  padding: 16px;
  border-top: none;
  border-right: none;
  border-left: none;
  background: #fff;
  border-bottom: 1px solid #dcdcdc;
  border-radius: 2px;
  box-sizing: border-box;
  overflow: auto;

  hr {
    border: none;
    border-bottom: 1px solid #dcdcdc;
    margin: 8px 0;
  }
}

.newGameBtn-container {
  float: right;
}
</style>
